unit Main;

interface

uses
  SysUtils, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Menus, DB,
  DBTables, Mask, DBCtrls, Grids, DBGrids, Dateedit;

type
  TMainForm = class(TForm)
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Button2: TButton;
    Date2: TDateEdit;
    Date1: TDBDateEdit;
    Button1: TButton;
    Memo1: TMemo;
    Table1: TTable;
    DataSource1: TDataSource;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.Button1Click(Sender: TObject);
begin
   Date1.ClearValidDates;
end;

procedure TMainForm.Button2Click(Sender: TObject);
begin
   Date1.AddValidDate(Date2.Date);
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
   TABLE1.DATABASENAME := EXTRACTFILEPATH(Application.exename);
   TABLE1.OPEN;
   Date2.Date := Date;
   
end;

end.
